> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shadeform.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /volumes/{id}/info

> Get details for the specified storage volume.



## OpenAPI

````yaml get /volumes/{id}/info
openapi: 3.0.0
info:
  description: >-
    Shadeform is a single API and platform for deploying and managing cloud
    GPUs.
  version: 1.0.0
  title: Shadeform API
  contact:
    name: Shadeform
    email: support@shadeform.ai
    url: https://www.shadeform.ai
servers:
  - description: Shadeform Production
    url: https://api.shadeform.ai/v1
security:
  - ApiKeyAuth: []
paths:
  /volumes/{id}/info:
    parameters:
      - in: path
        name: id
        required: true
        example: d290f1ee-6c54-4b01-90e6-d701748f0851
        schema:
          type: string
          minimum: 1
        description: The volume id.
    get:
      summary: /volumes/{id}/info
      description: Get details for the specified storage volume.
      operationId: VolumesInfo
      responses:
        '200':
          description: Return a volume object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Volume'
components:
  schemas:
    Volume:
      type: object
      required:
        - id
        - cloud
        - cloud_assigned_id
        - region
        - name
        - fixed_size
        - size_in_gb
        - cost_estimate
        - supports_multi_mount
        - mounted_by
      properties:
        id:
          $ref: '#/components/schemas/VolumeID'
        cloud:
          $ref: '#/components/schemas/Cloud'
        cloud_assigned_id:
          $ref: '#/components/schemas/VolumeCloudAssignedId'
        region:
          $ref: '#/components/schemas/Region'
        name:
          $ref: '#/components/schemas/VolumeName'
        fixed_size:
          $ref: '#/components/schemas/VolumeFixedSize'
        size_in_gb:
          $ref: '#/components/schemas/VolumeSizeInGB'
        cost_estimate:
          $ref: '#/components/schemas/CostEstimate'
        supports_multi_mount:
          $ref: '#/components/schemas/VolumeSupportsMultiMount'
        mounted_by:
          $ref: '#/components/schemas/VolumeMountedBy'
    VolumeID:
      type: string
      example: 78a0dd5a-dbb1-4568-b55c-5e7e0a8b0c40
      description: The ID of the storage volume.
    Cloud:
      type: string
      example: hyperstack
      description: >-
        Specifies the underlying cloud provider. See this
        [explanation](/getting-started/concepts#cloud-cloud-provider) for more
        details.
    VolumeCloudAssignedId:
      type: string
      example: 13b057d7-e266-4869-985f-760fe75a78b3
      description: >-
        The unique identifier of the storage volume issued by the underlying
        cloud provider.
    Region:
      type: string
      example: canada-1
      description: Specifies the region.
    VolumeName:
      type: string
      example: My storage volume
      description: The name of the storage volume.
    VolumeFixedSize:
      type: boolean
      example: true
      description: Denotes whether the volume is fixed in size or elastically scaling.
    VolumeSizeInGB:
      type: integer
      example: 100
      description: Storage volume size in GB
    CostEstimate:
      type: string
      example: '103.4'
      description: >-
        The cost incurred by the instance. This only the cost via Shadeform. If
        the instance is deployed in your own cloud account, then all billing is
        through your cloud provider.
    VolumeSupportsMultiMount:
      type: boolean
      example: true
      description: >-
        Denotes whether the volume supports multiple instances mounting to it at
        the same time.
    VolumeMountedBy:
      type: string
      example: 13b057d7-e266-4869-985f-760fe75a78b3
      description: The ID of the instance that is currently mounting the volume.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````